# bundestag-tagesordnung
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[bundestag_tagesordnung]
```

### poetry install

```sh
poetry add deutschland -E bundestag_tagesordnung
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import bundestag_tagesordnung
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import bundestag_tagesordnung
from pprint import pprint
from deutschland.bundestag_tagesordnung.api import default_api
# Defining the host is optional and defaults to https://api.hutt.io
# See configuration.py for a list of all supported configuration parameters.
configuration = bundestag_tagesordnung.Configuration(
    host = "https://api.hutt.io"
)



# Enter a context with an instance of the API client
with bundestag_tagesordnung.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    year = 1 # int | Das Jahr, für das Tagesordnungen abgerufen werden sollen (optional) (optional)
    week = 1 # int | Die Kalenderwoche, für die Tagesordnungen abgerufen werden sollen (optional; kann mit Jahr kombiniert werden) (optional)

    try:
        # Tagesordnungen im CSV-Format abrufen
        api_response = api_instance.bt_to_csv_get(year=year, week=week)
        pprint(api_response)
    except bundestag_tagesordnung.ApiException as e:
        print("Exception when calling DefaultApi->bt_to_csv_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api.hutt.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**bt_to_csv_get**](docs/DefaultApi.md#bt_to_csv_get) | **GET** /bt-to/csv | Tagesordnungen im CSV-Format abrufen
*DefaultApi* | [**bt_to_ical_get**](docs/DefaultApi.md#bt_to_ical_get) | **GET** /bt-to/ical | Tagesordnungen im iCal-Format abrufen
*DefaultApi* | [**bt_to_json_get**](docs/DefaultApi.md#bt_to_json_get) | **GET** /bt-to/json | Tagesordnungen im JSON-Format abrufen
*DefaultApi* | [**bt_to_xml_get**](docs/DefaultApi.md#bt_to_xml_get) | **GET** /bt-to/xml | Tagesordnungen im XML-Format abrufen


## Documentation For Models



## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in bundestag_tagesordnung.apis and bundestag_tagesordnung.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.bundestag_tagesordnung.api.default_api import DefaultApi`
- `from deutschland.bundestag_tagesordnung.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import bundestag_tagesordnung
from deutschland.bundestag_tagesordnung.apis import *
from deutschland.bundestag_tagesordnung.models import *
```

